Skip to content

Get the list of resources authorized by the role ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the list of resources authorized by the role through the role code in the permission group.

Method name ​

ManagementClient.getRoleAuthorizedResources

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
codestringyes-Unique identifier of the role in the permission group60b49eb83fd80adb96f26e68
namespacestringno-Code of the permission groupdefault
resourceTypestringno-Resource type, such as data, API, button, menuDATA

Sample code ​

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getRoleAuthorizedResources({
    code: "60b49ebxxxxxxadb96f26e68",
    namespace: "default",
    resourceType: "DATA",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response ​

Type: RoleAuthorizedResourcePaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a RoleAuthorizedResourcePagingDtodata

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "resourceCode": "ecs",
      "resourceType": "DATA",
      "actions": "[\"ecs:Start\",\"ecs:Stop\"]",
      "apiIdentifier": "dd8d7stf44"
    }
  }
}

Data structure ​

RoleAuthorizedResourcePagingDto ​

NameTypeRequiredDescriptionSample value
totalCountnumberyestotal number of records
listarrayyesdata Nested type: <a RoleAuthorizedResourcesRespDto.

RoleAuthorizedResourcesRespDto ​

NameTypeRequiredDescriptionSample value
resourceCodestringYesResource descriptorecs
resourceTypestringYesResource typeDATA
actionsarrayYesAuthorized action list["ecs:Start","ecs:Stop"]
apiIdentifierstringYesAPI Identifier corresponding to the resourcedd8d7stf44